General

We no longer support Internet Explorer 6

With the new release on January 22nd, we decided to drop the support for Internet Explorer 6. It’s quite an old browser and it handles standards its own way, so it’s getting harder and harder to keep Toggl compatible with it.

We recommend you to upgrade to a more recent version – Internet Explorer 7. It can be downloaded from Microsoft: http://www.microsoft.com/windows/downloads/ie/getitnow.mspx

Alternatively you can use the Firefox browser that keeps gaining more and more positive attention:
http://www.mozilla.com/en-US/firefox/

We hope that all you IE6 users can continue using Toggl!

Best regards,

Toggl Team

By On January 22, 2009

  1. Alas, quite a few large corporations still keep their workers, and their on-site consultants (like me) stuck on IE6, due to corporate policy… :-(((((